Package: groovy.xml.slurpersupport

## [Java] Class ReplacementNode

- groovy.xml.slurpersupport.ReplacementNode

- All Implemented Interfaces and Traits:
    Buildable, Writable

      public abstract class ReplacementNode
      extends Object
      implements Buildable, Writable

  Helper base class used for lazy updates.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public abstract void` | `build(GroovyObject builder, Map namespaceMap, Map<String, String> namespaceTagHints)`
    `` | `public void` | `build(GroovyObject builder)`
    `` | `public Writer` | `writeTo(Writer out)` NOP

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public abstract void build(GroovyObject builder, Map namespaceMap, Map<String, String> namespaceTagHints)

    - #### @Override
      public void build(GroovyObject builder)

    - #### @Override
      public Writer writeTo(Writer out)

      NOP

      Returns:
        the Writer that was passed